# Parma_Watchdog_Library::EList_Iterator< T > Class Template Reference

A class providing iterators for embedded lists. More...

`#include <pwl.hh>`

List of all members.

## Public Member Functions

| EList_Iterator ()
| Constructs an iterator pointing to nothing.
| EList_Iterator (Doubly_Linked_Object *p)
| Constructs an iterator pointing to `p`.
EList_Iterator & | operator= (Doubly_Linked_Object *p)
| Changes `*this` so that it points to `p`.
T * | operator-> ()
| Indirect member selector.
T & | operator* ()
| Dereference operator.
EList_Iterator & | operator++ ()
| Preincrement operator.
EList_Iterator | operator++ (int)
| Postincrement operator.
EList_Iterator & | operator-- ()
| Predecrement operator.
EList_Iterator | operator-- (int)
| Postdecrement operator.

## Friends

bool | operator== (const EList_Iterator &x, const EList_Iterator &y)
| Returns `true` if and only if `x` and `y` are equal.
bool | operator!= (const EList_Iterator &x, const EList_Iterator &y)
| Returns `true` if and only if `x` and `y` are different.

## Detailed Description

### template<typename T>
class Parma_Watchdog_Library::EList_Iterator< T >

A class providing iterators for embedded lists.

The documentation for this class was generated from the following file:

- pwl.hh